package com.atlassian.stash.internal.participant;

import com.atlassian.stash.internal.user.InternalApplicationUser;

import javax.annotation.Nonnull;

/**
 * @since 2.11
 */
public interface InternalParticipant<P extends InternalParticipant<P>> {

    @Nonnull
    InternalParticipable<P> getEntity();

    @Nonnull
    InternalApplicationUser getUser();
}
